#include <sys/ioctl.h>

#ifndef TIOCNOTTY
int main(int argc, char *argv[])
{
	setsid();
	execvp(argv[1], argv+1);
}
#else
int main(int argc, char *argv[])
{
        int fd;
	if ((fd = open("/dev/tty", 0)) >= 0)
        {
                ioctl(fd, TIOCNOTTY, 0);
                close(fd);
        }
	execvp(argv[1], argv+1);
}
#endif
